Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

DJI PHANTOM 2 Firmware 3.0 has been released

Discussion in 'Firmware' started by johnbowen, Apr 6, 2014.

  1. johnbowen

    Joined:
    Jan 26, 2014
    Messages:
    103
    Likes Received:
    29
    plugged my P2V in this morning. It came up saying there was an upgrade to the main controller firmware, to version 3.0. I didn't even think about it, hit upgrade. Upgraded fine, told me to power cycle. I did so, but then upon restarting my P2V it says mismatch and i need to upgrade my assistant software.

    Every indication is it is upgraded, but I cannot go and calibrate anything. It appears normal, but I'm concerned what will happen if i attempt to fly it.

    Any suggestions/input?

    see below.


    DJI PHANTOM 2 Firmware 3.0 has been released.

    Please be aware that this firmware version limits aerial systems from flying above special areas such as airports. Click here for the complete list of the special areas. Updating your firmware signifies you fully acknowledge and accept this function. DJI accepts no liability or damage(s) or injuries incurred directly or indirectly from your refusal to update this firmware.

    Please upgrade the main controller Firmware to v3.0 using the Assistant software v3.0.
    Download the latest Assistant software: http://www.dji.com/download/phantom-2-downloads/

    Important:

    1、Make sure to reconfigure all parameters and recalibrate the Transmitter in the Assistant software after upgrading the firmware.

    What’s new?

    Firmware

    1. Special areas restriction

    2. Increased support Phantom 2 Vision Plus.

    3. Compass data error notification

    4. H3-2D and H3-3D support

    l Software

    1. Special areas restriction section

    2. H3-2D and H3-3D support

    Upgrade Notes

    1. Upgrade the main controller and central board firmware to the latest version using PHANTOM 2 Assistant V3.0 otherwise there will be malfunction caused by version mismatch.

    2. Upgrade iOSD mini, iOSD Mark II firmware to the latest version before using them with PHANTOM 2.
     
  2. Seahorse

    Joined:
    Jan 17, 2014
    Messages:
    427
    Likes Received:
    0
    Location:
    Hampshire, UK
    Yes and it's only mentioned in about 6 threads so far... :roll:
     
  3. johnbowen

    Joined:
    Jan 26, 2014
    Messages:
    103
    Likes Received:
    29
    Hmm, ok. Thanks for the help smartarse. Ve4y helpful and insightful.
     
  4. Seahorse

    Joined:
    Jan 17, 2014
    Messages:
    427
    Likes Received:
    0
    Location:
    Hampshire, UK
    Just like your repost. Frankly I am a tad bored with the volume of duplicate posts today and have decided to point it out as I am tired and irritable having been up all night... :evil:
     
  5. TheHeadHoncho

    Joined:
    Apr 6, 2014
    Messages:
    4
    Likes Received:
    0
    In the Same boat, with the transmitter calibration now too. I took the risk as i have been trying to get my ipad ground station to connect to my main controller since 2.0 was released. Thinking they were hiding some BT bugs potentially but no luck. the wind is blowing about 20 knots where i am today so i only took the bird up to see if it flew still but cannot tell if the U/G did anything as my vision is always a bit shaky in heavy wind.
     
  6. GetaGrip

    Joined:
    Jan 21, 2014
    Messages:
    95
    Likes Received:
    0
    Location:
    Winnipeg, Manitoba Canada
    Joining the club of bricked Phantoms :evil:
     
  7. rfernandez

    Joined:
    Jan 20, 2014
    Messages:
    373
    Likes Received:
    0
    Not to offend anyone but you should always read before clicking that button. ;) ;)
     
  8. myvrodrocks

    Joined:
    Nov 23, 2013
    Messages:
    299
    Likes Received:
    1
    Location:
    Germany
    Thank you johnbowen for pointing this out. I was not aware.
     
  9. Paul K

    Joined:
    May 23, 2013
    Messages:
    109
    Likes Received:
    0
    I am trying to connect my new P2 in NAZA assistant software for first time, but it won't let me open tabs unless I upgrade main board to Firmware 3.0. Should I wait for new assistant software ?
     
  10. gunslinger

    gunslinger Moderator
    Staff Member

    Joined:
    Nov 3, 2013
    Messages:
    2,722
    Likes Received:
    497
    Location:
    Least Coast...
    Yes. I'd wait. You need to upgrade to Firmware 3.0 with the Assistant 3.0, which the stupid asses over at DJI have yet to make available. They've temporarily bricked at least five P2Vs today that I know of. I'm sure there will be a fix available soon, but this sort of horseshit is becoming the norm with them...

    -slinger
     
  11. nzvideoguys

    Joined:
    Mar 26, 2014
    Messages:
    103
    Likes Received:
    0
    Location:
    Christchurch, New Zealand
    Ok, I join the club of bricked Phantoms. Brand new machine, out of the box, plug it in, says to upgrade to v3, ok, did the upgrade, now can't use the assistant software. Somebody f$%ked up at DJI. New Zealand.
     
  12. SilentAV8R

    Joined:
    Apr 2, 2014
    Messages:
    943
    Likes Received:
    18
    Location:
    Orange County, CA - USA
  13. gunslinger

    gunslinger Moderator
    Staff Member

    Joined:
    Nov 3, 2013
    Messages:
    2,722
    Likes Received:
    497
    Location:
    Least Coast...
    Plug your P2V into the Assistant Ver 2.0. THAT'S what the problem is. IT sees it and asks you to update from there. There is NOTHING on the DJI website. For instance... Assistant Ver 3.0 which is what you need to install this update properly... Is not there. It's the typical DJI head up their *** cart before the horse syndrome...


    -slinger
     
  14. Flyboy

    Joined:
    Jul 29, 2013
    Messages:
    266
    Likes Received:
    21
    Location:
    Michigan
    Phantom Assistant 3.0 is now available.